<template>
    <div class='text-font-white w-11/12 mx-auto py-3 flex justify-between items-center '>
        <div class='left'>
            <div  @click="$router.go(-1)">
                <app-icon name='icon-fanhui' size='18px' color='#EEF1F6'></app-icon> 
            </div>
        </div>
        <div class='center'>{{title}}</div>
        <div class='right'>
            <!-- <div v-if="saveBtn.show" @click="clickSaveBtn" class="text-sm" :class="saveBtn.enable?' text-font-blue':' text-font-dark-blue'">
                保存
            </div> -->
        </div>
    </div>
</template>


<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
    data() {
        return{
            title:'',
            saveBtn:{
                show:false,
                enable:false,
            }
        }
    },

  components:{
      'app-icon':()=>import('@/components/common/Icon.vue')
  },
  mounted(){
      this.title = this.$route.meta?.title
      if(this.$route.path.includes('/User/edit')){
            this.saveBtn.show = true
      }else{
           this.saveBtn.show = false
      }
   
      
  },
    methods:{
        clickSaveBtn(){
            if(this.saveBtn.enable){
                console.log(this.$route.params.type);
            }
        }
    }
});
</script>
